import { ChangeDetectorRef, EventEmitter } from '@angular/core';
import { Observable } from 'rxjs';
import * as i0 from "@angular/core";
export declare class AutoDisableButtonDirective {
    private changeDetector;
    action: Observable<any> | (() => Observable<any>);
    axAutoDisableButtonChange: EventEmitter<any>;
    axAutoDisableButtonError: EventEmitter<any>;
    private _pending;
    constructor(changeDetector: ChangeDetectorRef);
    private _enabled;
    set enabled(value: boolean);
    get disabledClass(): boolean;
    get pendingClass(): boolean;
    onClick(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AutoDisableButtonDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<AutoDisableButtonDirective, "[axAutoDisableButton]", never, { "action": "axAutoDisableButton"; "enabled": "enabled"; }, { "axAutoDisableButtonChange": "axAutoDisableButtonChange"; "axAutoDisableButtonError": "axAutoDisableButtonError"; }, never, never, false, never>;
}
